# Callable Folder 0.3.0
# (c) 2000-2001, Stefan H. Holek, stefan@epy.co.at
# http://www.zope.org/Members/shh/
# License: ZPL
# Zope: 2.3

__doc__ = 'A Callable Folder has its __call__() method overridden to invoke a contained index_html method'
__version__ = '0.3.0'

from ImageFile import ImageFile
import CallableFolder

misc_ = { 'CallableFolder_icon.gif' : ImageFile('CallableFolder_icon.gif', globals()), }


def initialize( context ):
  "Initialize the CallableFolder product"
  try:
    context.registerClass( CallableFolder.CallableFolder, 
                           constructors=(CallableFolder.CallableFolder.manage_addCallableFolderForm, 
                                         CallableFolder.CallableFolder.manage_addCallableFolder) )
  except:
    import sys, traceback, string
    type, val, tb = sys.exc_info()
    sys.stderr.write( string.join(traceback.format_exception(type, val, tb), '') )
    del type, val, tb

  if hasattr( context, 'registerHelp' ):
    context.registerHelp( clear=1 )
    context.registerHelpTitle( 'Callable Folder' )

